#include <iostream>

int main() {
    int n, l, pom, br=0;
    scanf("%d", &n);
    scanf("%d", &l);
    if (n>0) scanf("%d", &pom);
    while (l<pom && br<n) {
        br++;
        scanf("%d", &pom);
    }
    if (br==n) printf("%d", -1);
    else printf("%d", br+1);
    return 0;
}